// #define _GLIBCXX_DEBUG 1

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <chrono>

// #pragma GCC optimise("Ofast")
// #pragma GCC optimize "-Ofast"
// #pragma GCC optimize "-funroll-loops"
// #pragma GCC optimise("unroll-loops")
// #pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx")
// #pragma GCC target("avx2,bmi,bmi2,popcnt,lzcnt")
// #pragma GCC optimize("-ffloat-store")
// #pragma GCC optimize("O3")
// #pragma GCC optimize("-O3")

using namespace std;
using namespace __gnu_pbds;
using namespace std::chrono;

template<class T> using ordered_multiset = tree<T, null_type, less_equal<T>, rb_tree_tag, tree_order_statistics_node_update>;
template<class T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

typedef long long ll;
typedef pair<ll, ll> pll;
typedef unsigned long long ull;
typedef long double ld;

#define all(v) v.begin(), v.end()
#define vc vector
#define remin(a, b) a = min(a, b)
#define remax(a, b) a = max(a, b)
#define endl "\n"

const ll inf = 1e15;
const ll MOD = 1e9 + 7;
const ld eps = 1e-6;

ll sum(ll a, ll b, ll mod = MOD)
{
    return (a += b) < mod ? a : a - mod;
}
ll diff(ll a, ll b, ll mod = MOD)
{
    return (a -= b) >= 0 ? a : a + mod;
}
ll mult(ll a, ll b, ll mod = MOD)
{
    return a * b % mod;
}
ll bpow(ll b, ll p, ll mod = MOD)
{
    if (p == 0)
        return 1;
    if (p & 1)
        return mult(b, bpow(b, p - 1, mod), mod);
    return bpow(mult(b, b, mod), p >> 1, mod);
}
ll divs(ll a, ll b, ll mod = MOD)
{
    return mult(a, bpow(b, mod - 2, mod), mod);
}

void acceleration()
{
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);
}

void infile()
{
    freopen("input.txt", "r", stdin);
}
void outfile()
{
    freopen("output.txt", "w", stdout);
}

void solve();

// #define _DEBUG

int main()
{
    auto start = steady_clock::now();
    acceleration();
    // infile();
    // outfile();
    ll t = 1;
    // cin >> t;
    while (t--)
    {
        solve();
        cout << endl;
    }

#ifdef _DEBUG
    cout << "\n\ntime: " << duration<double>(steady_clock::now() - start).count();
#endif

    return 0;
}

void solve()
{

}
